:root {
    --icon-dark: #1b1b1f;
    --icon-light: #e9e9e9;
    --dark: #232327;
    --light: #f3f3f3;
}

body {
    font-family: -apple-system, BlinkMacSystemFont,
    "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

a {
    color: inherit;
    text-decoration: none;
}

@media (prefers-color-scheme: dark) {
    body {
        background: var(--icon-dark);
        color: var(--icon-light);
    }
}

@media (prefers-color-scheme: light) {
    body {
        background: var(--icon-light);
        color: var(--icon-dark);
    }
}

main {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
}

.network-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background: inherit;
}

.copyright {
    position: fixed;
    bottom: 1rem;
    width: 100%;
    text-align: center;
    font-size: 0.75rem;
    opacity: 0.4;
    z-index: 10;
    pointer-events: none;
}

@media (max-width: 768px) {
    .greeting h1 {
        font-size: 2rem;
    }

    .greeting p {
        font-size: 1rem;
    }
}
